# Method: logicalProducts.variants.get

- [HTTP request](https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/logicalProducts.variants/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/logicalProducts.variants/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/logicalProducts.variants/get#body.request_body)
- [Response body](https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/logicalProducts.variants/get#body.response_body)

Get details of a LogicalProductVariant.

### HTTP request

`GET https://cloudproductregistry.googleapis.com/v1/{name=logicalProducts/*/variants/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the LogicalProductVariant to retrieve. Format: logicalProducts/{logicalProduct}/variants/{variant} |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/product-registry/reference/cloudproductregistry-api/rest/v1/logicalProducts.variants#LogicalProductVariant`.